/* ================ Reset ================ */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    user-select: none;
}

a {
    text-decoration: none;
}

li {
    list-style: none;
}

button {
    border: none;
    background: none;
}

img, video {
    -webkit-user-drag: none;
}



/* ================ Global ================ */
h1, h2, h3 {
    color: white;
    font-family: system-ui;
}

li, a, p {
    color: white;
    font-family: system-ui;
}

button {
    cursor: pointer;
}

img, video {
    background-color: black;
}




/* ============================================ */
/* ================ Background ================ */
/* ============================================ */
html {
    scroll-behavior: smooth;
    background: black;
}

body {
    min-height: 100vh;
    background: linear-gradient(45deg, rgb(0, 0, 18), rgb(0, 0, 25));
}




/* ======================================== */
/* ================ Footer ================ */
/* ======================================== */
header div {
    display:  flex;
    justify-content:  center;
    align-items: center;
    
    background: linear-gradient(rgb(6, 6, 119), rgb(3, 3, 65));
    height: 80px;
}

header h1 {
    margin-top: -5px;
    text-shadow: rgba(0,0,0, 0.40) 0 0 15px;
}



/* ---------------- Navbar ---------------- */
nav {
    position: sticky;
    top: 0;
    z-index: 1;

    /* background: black; */
    background: rgb(25,25,25);
    box-shadow: rgba(0,0,0, 0.50) 0 6px 12px;
}

nav ul {
    display: flex;
    align-items: center;
    
    margin: auto;
    width: 1080px;
    height: 24px;

    padding-left: 15px;
}

nav a {
    font-weight: 500;
    margin-right: 15px;
}

nav a:hover {
    color: goldenrod;
}



/* ---------------- Carrousel ---------------- */
.carrousel {
    position: fixed;
    top: 50%;

    font-weight: bolder;
    border-radius: 15px;
    width:  30px;
    height: 30px;

    color: white;
    background-color: rgb(6, 6, 95);
    box-shadow: rgba(0,0,0, 0.50) 0 0 12px;
}

.carrousel:hover {
    background-color: rgb(5, 5, 126);
}

.carrousel#prev { left:  10px; }
.carrousel#next { right: 10px; }





/* ====================================== */
/* ================ Main ================ */
/* ====================================== */
main {
    margin: auto;
    max-width: 1080px;
    min-height: 100vh;

    padding-top:    40px;
    padding-left:   10px;
    padding-right:  10px;
    padding-bottom: 50px;
}



/* ================ Sections ================ */
section {
    padding: 15px;
    border-radius: 5px;
    
    /* background: rgba(20,20,20, 0.75); */
    background: linear-gradient(45deg, rgba(25,25,25, 0.70), rgba(35,35,35, 0.55));
    box-shadow: rgba(0,0,0, 0.12) 0 0 15px;
}

section h2, section h3 {
    margin-bottom: 15px;
    text-shadow: rgba(0,0,0, 0.50) 0 0 10px;
}



/* ========================================= */
/* ================ Customs ================ */
/* ========================================= */

/* ================ Posts ================ */
#posts {
    min-height: 500px;
}

#posts ul {
    display: flex;
    flex-wrap: wrap;
    /* justify-content: center; */
    
    row-gap:    24px;
    column-gap: 12px;
}


#posts a {
    display: flex;
    flex-direction: column;
    overflow: hidden;
    border-radius: 5px;
    padding-bottom: 6px;
    /* background: black; */
    background: linear-gradient(45deg, black, rgb(26, 26, 26));
}


#posts a:hover {
    box-shadow: rgb(32,32,32, 0.75) 0 0 12px;
}

#posts a:hover p {
    color: goldenrod;
}


#posts video {
    width: 245px;
}

#posts p {
    display: block;
    
    white-space: nowrap;
    overflow: hidden;
    width: 242px;

    padding-top:     4px;
    padding-left:   10px;
    transition:    100ms;
}





/* ================ Navigation ================ */
#gohead {
    position: fixed;
    bottom: 25px;
    right:  25px;

    border-radius: 15px;
    width:  30px;
    height: 30px;
    background-color: rgb(6, 6, 95);
    box-shadow: rgba(0,0,0, 0.50) 0 0 12px;
}

#gohead:hover {
    background-color: rgb(5, 5, 126);
}

#gohead p {
    color: white;
    font-size: 15px;
    margin-top: -5px;
}


/* ======================================== */
/* ================ Footer ================ */
/* ======================================== */
footer {
    display:  flex;
    justify-content:  center;
    align-items: center;

    background: linear-gradient(rgb(4, 4, 105), rgb(2, 2, 59));
    height: 90px;
}

footer h1 {
    text-shadow: rgba(0,0,0, 0.50) 0 0 15px;
}